// @ts-nocheck
import './core/polyfill';
import '@@/core/devScripts';
import { plugin } from './core/plugin';
import './core/pluginRegister';
import { createHistory } from './core/history';
import { ApplyPluginsType } from '/FE/project/panda_maintenance/node_modules/_@umijs_runtime@3.2.15@@umijs/runtime';
import { renderClient } from '/FE/project/panda_maintenance/node_modules/_@umijs_renderer-react@3.2.15@@umijs/renderer-react/dist/index.js';
import { getRoutes } from './core/routes';


require('../global.less');

const getClientRender = (args: { hot?: boolean; routes: any[] } = {}) => plugin.applyPlugins({
  key: 'render',
  type: ApplyPluginsType.compose,
  initialValue: () => {
    const opts = plugin.applyPlugins({
      key: 'modifyClientRenderOpts',
      type: ApplyPluginsType.modify,
      initialValue: {
        routes: args.routes,
        plugin,
        history: createHistory(args.hot),
        isServer: process.env.__IS_SERVER,
        dynamicImport: true,
        rootElement: 'root',
        defaultTitle: `运维平台`,
      },
    });
    return renderClient(opts);
  },
  args,
});

const clientRender = getClientRender({ routes: getRoutes() });
export default clientRender();


    window.g_umi = {
      version: '3.2.15',
    };
  

// hot module replacement
// @ts-ignore
if (module.hot) {
  // @ts-ignore
  module.hot.accept('./core/routes', () => {
    const ret = require('./core/routes');
    if (ret.then) {
      ret.then(({ getRoutes }) => {
        getClientRender({ hot: true, routes: getRoutes() })();
      });
    } else {
      getClientRender({ hot: true, routes: ret.getRoutes() })();
    }
  });
}
